Overview | Namespace | Component | Index | Help
| BEA WebLogic Server 9.1 Domain Configuration Schema Reference
DETAILS: DOCUMENTATION | ELEMENTS | ATTRIBUTES | FRAMES | NO FRAMES

## http://www.bea.com/ns/weblogic/90/domain
complexType network-access-pointType

    {http://www.w3.org/2001/XMLSchema}anyType
      {http://www.bea.com/ns/weblogic/90/domain}configurationType
          {http://www.bea.com/ns/weblogic/90/domain}network-access-pointType

Model
  `<...>
  name?, notes?, protocol?, listen-address?, public-address?, listen-port?, public-port?, proxy-address?, proxy-port?, http-enabled-for-this-protocol?, accept-backlog?, max-backoff-between-failures?, login-timeout-millis?, tunneling-client-ping-secs?, tunneling-client-timeout-secs?, tunneling-enabled?, complete-message-timeout?, timeout-connection-with-pending-responses?, idle-connection-timeout?, connect-timeout?, max-message-size?, outbound-enabled?, channel-weight?, cluster-address?, enabled?, max-connected-clients?, two-way-ssl-enabled?, channel-identity-customized?, custom-private-key-alias?, private-key-alias?, private-key-pass-phrase?, custom-private-key-pass-phrase-encrypted?, client-certificate-enforced?, outbound-private-key-enabled?, use-fast-serialization?, idle-iiop-connection-timeout?, ssl-listen-port?, external-dns-name?, login-timeout-millis-ssl?, complete-t3-message-timeout?, complete-http-message-timeout?, complete-com-message-timeout?, complete-iiop-message-timeout?
  </...>`

Prohibited substitutions (block)
  none (extensions and restrictions are allowed)

Usage
  Derived types: none
  Components using this type: none

Documentation

  A server can specifiy additional network connections by using a NetworkAccessPointMBean. The NetworkAccessPointMBean is also used to set the listen address and external DNS name that a server uses for a particular channel.

  MBean: `NetworkAccessPointMBean`

Nested Element Summary
`annonymous type derived from string` | `name` optional
`string` | `notes` optional Optional information that you can include to describe this configuration.
`string` | `protocol` optional The protocol this network channel should use for connections.
`string` | `listen-address` optional The IP address or DNS name this network channel uses to listen for incoming connections.
`string` | `public-address` optional The IP address or DNS name representing the external identity of this network channel.
`int` | `listen-port` optional The default TCP port this network channel uses to listen for regular (non-SSL) incoming connections.
`int` | `public-port` optional The externally published listen port for this network channel.
`string` | `proxy-address` optional The IP address or DNS name of the HTTP proxy to use for outbound connections on this channel.
`int` | `proxy-port` optional The port of the HTTP proxy to use for outbound connections on this channel.
`boolean` | `http-enabled-for-this-protocol` optional A server can specifiy additional network connections by using a NetworkAccessPointMBean.
`annonymous type derived from int` | `accept-backlog` optional The number of backlogged, new TCP connection requests that this network channel allows.
`annonymous type derived from int` | `max-backoff-between-failures` optional The maximum back off time between failures while accepting client connections.
`annonymous type derived from int` | `login-timeout-millis` optional The amount of time that this network channel should wait for a connection before timing out.
`annonymous type derived from int` | `tunneling-client-ping-secs` optional The interval (in seconds) at which this network channel should ping an HTTP-tunneled client to see if its still alive.
`annonymous type derived from int` | `tunneling-client-timeout-secs` optional The amount of time (in seconds) after which this network channel considers a missing HTTP-tunneled client to be dead.
`boolean` | `tunneling-enabled` optional A server can specifiy additional network connections by using a NetworkAccessPointMBean.
`annonymous type derived from int` | `complete-message-timeout` optional The maximum amount of time this network channel waits for a complete message to be received.
`boolean` | `timeout-connection-with-pending-responses` optional Determines if connections with pending responses are allowed to timeout.
`annonymous type derived from int` | `idle-connection-timeout` optional The maximum amount of time (in seconds) that a connection is allowed to be idle before it is closed by this network channel.
`annonymous type derived from int` | `connect-timeout` optional The amount of time that this network channel should wait to establish an outbound socket connection before timing out.
`annonymous type derived from int` | `max-message-size` optional The maximum message size allowable in a message header.
`boolean` | `outbound-enabled` optional A server can specifiy additional network connections by using a NetworkAccessPointMBean.
`annonymous type derived from int` | `channel-weight` optional A weight to give this channel when creating server-to-server connections.
`string` | `cluster-address` optional The address this network channel uses to generate EJB handles and failover addresses for use in a cluster.
`boolean` | `enabled` optional A server can specifiy additional network connections by using a NetworkAccessPointMBean.
`int` | `max-connected-clients` optional The maximum number of clients that can be connected on this network channel.
`boolean` | `two-way-ssl-enabled` optional A server can specifiy additional network connections by using a NetworkAccessPointMBean.
`boolean` | `channel-identity-customized` optional A server can specifiy additional network connections by using a NetworkAccessPointMBean.
`string` | `custom-private-key-alias` optional The string alias used to store and retrieve the channel's private key in the keystore.
`string` | `private-key-alias` optional The string alias used to store and retrieve the channel's private key in the keystore.
`string` | `private-key-pass-phrase` optional The passphrase used to retrieve the server's private key from the keystore.
`string` | `custom-private-key-pass-phrase-encrypted` optional The encrypted form of passphrase used to retrieve the server's private key from the keystore.
`boolean` | `client-certificate-enforced` optional A server can specifiy additional network connections by using a NetworkAccessPointMBean.
`boolean` | `outbound-private-key-enabled` optional A server can specifiy additional network connections by using a NetworkAccessPointMBean.
`boolean` | `use-fast-serialization` optional Specifies whether to use non-standard object serialization for performance.
`annonymous type derived from int` | `idle-iiop-connection-timeout` optional Privileges: Redeploy or Restart required: Changes take effect after you redeploy the module or restart the server.
`int` | `ssl-listen-port` optional Privileges: Redeploy or Restart required: Changes take effect after you redeploy the module or restart the server.
`string` | `external-dns-name` optional Privileges: Redeploy or Restart required: Changes take effect after you redeploy the module or restart the server.
`annonymous type derived from int` | `login-timeout-millis-ssl` optional Privileges: Redeploy or Restart required: Changes take effect after you redeploy the module or restart the server.
`annonymous type derived from int` | `complete-t3-message-timeout` optional Privileges: Redeploy or Restart required: Changes take effect after you redeploy the module or restart the server.
`annonymous type derived from int` | `complete-http-message-timeout` optional Privileges: Redeploy or Restart required: Changes take effect after you redeploy the module or restart the server.
`annonymous type derived from int` | `complete-com-message-timeout` optional Privileges: Redeploy or Restart required: Changes take effect after you redeploy the module or restart the server.
`annonymous type derived from int` | `complete-iiop-message-timeout` optional Privileges: Redeploy or Restart required: Changes take effect after you redeploy the module or restart the server.

Overview | Namespace | Component | Index | Help
| BEA WebLogic Server 9.1 Domain Configuration Schema Reference
DETAILS: DOCUMENTATION | ELEMENTS | ATTRIBUTES | FRAMES | NO FRAMES

Version: 9.1